package com.lz.modules.flow.dao;
/**
* <p>
* 流转关系表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-18
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.flow.entity.StaffRole;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface StaffRoleMapper extends BaseMapper<StaffRole> {


	StaffRole selectStaffRoleById(@Param("id")Long id);


	Long insertStaffRole(StaffRole staffRole);


	int updateStaffRoleById(StaffRole staffRole);


	int updateCoverStaffRoleById(StaffRole staffRole);


	int deleteStaffRoleById(@Param("id")Long id);


    StaffRole selectByStaffId(@Param("staffId") Long staffId);
}